> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1panelrbaccatalog

> The compiled-in permission catalogue and the built-in role definitions.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/panel/rbac/catalog
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/rbac/catalog:
    get:
      tags:
        - panel
      description: The compiled-in permission catalogue and the built-in role definitions.
      operationId: getPanelRbacCatalog
      responses:
        '200':
          description: Catalogue
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RbacCatalog'
components:
  schemas:
    RbacCatalog:
      type: object
      required:
        - permissions
        - roles
      properties:
        permissions:
          type: array
          items:
            type: string
        roles:
          type: array
          items:
            type: object
            required:
              - role
              - permissions
            properties:
              role:
                $ref: '#/components/schemas/AdminRole'
              permissions:
                type: array
                items:
                  type: string
    AdminRole:
      type: string
      enum:
        - owner
        - administrator
        - support
        - finance
        - marketing
        - auditor

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.